# TODO: Package shapely/examples to _examplesdir ?
#
# Conditional build:
%bcond_with	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module

%define	module	shapely
Summary:	Geospatial geometries, predicates, and operations for Python
Summary(pl.UTF-8):	Geometrie, predykaty i operacje geoprzestrzenne dla Pythona
Name:		python-%{module}
# keep 1.7.x here for python2 support
Version:	1.7.1
Release:	7
License:	BSD
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/S/Shapely/Shapely-%{version}.tar.gz
# Source0-md5:	2bf7bc1199b3a88b13c12109cd3d2429
URL:		https://pypi.org/project/Shapely
BuildRequires:	geos-devel >= 3.3
%if %{with python2}
BuildRequires:	python-Cython
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-numpy-devel
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	geos >= 3.3
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shapely is a Python package for manipulation and analysis of 2D
geospatial geometries. It is based on GEOS. Shapely is not concerned
with data formats or coordinate reference systems.

%description -l pl.UTF-8
Pakiet do operacji i analizy dwuwymiarowych geometrii
geoprzestrzennych. Jest oparty na GEOS, nie zajmuje się formatami
danych czy układami odniesienia współrzędnych.

%package -n python3-%{module}
Summary:	Geospatial geometries, predicates, and operations for Python
Summary(pl.UTF-8):	Geometrie, predykaty i operacje geoprzestrzenne dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
Shapely is a Python package for manipulation and analysis of 2D
geospatial geometries. It is based on GEOS. Shapely is not concerned
with data formats or coordinate reference systems.

%description -n python3-%{module} -l pl.UTF-8
Pakiet do operacji i analizy dwuwymiarowych geometrii
geoprzestrzennych. Jest oparty na GEOS, nie zajmuje się formatami
danych czy układami odniesienia współrzędnych.

%prep
%setup -q -n Shapely-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/shapely/_geos.pxi
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/shapely/speedups/_speedups.{c,pyx}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/shapely/vectorized/_vectorized.{c,pyx}

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/shapely/_geos.pxi
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/shapely/speedups/_speedups.{c,pyx}
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/shapely/vectorized/_vectorized.{c,pyx}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt LICENSE.txt README.rst
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/algorithms
%{py_sitedir}/%{module}/algorithms/*.py[co]
%dir %{py_sitedir}/%{module}/examples
%{py_sitedir}/%{module}/examples/*.py[co]
%dir %{py_sitedir}/%{module}/geometry
%{py_sitedir}/%{module}/geometry/*.py[co]
%dir %{py_sitedir}/%{module}/speedups
%attr(755,root,root) %{py_sitedir}/%{module}/speedups/*.so
%{py_sitedir}/%{module}/speedups/*.py[co]
%dir %{py_sitedir}/%{module}/vectorized
%attr(755,root,root) %{py_sitedir}/%{module}/vectorized/*.so
%{py_sitedir}/%{module}/vectorized/*.py[co]
%{py_sitedir}/Shapely-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt CREDITS.txt LICENSE.txt README.rst
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/__pycache__
%{py3_sitedir}/%{module}/*.py
%dir %{py3_sitedir}/%{module}/algorithms
%{py3_sitedir}/%{module}/algorithms/__pycache__
%{py3_sitedir}/%{module}/algorithms/*.py
%dir %{py3_sitedir}/%{module}/examples
%{py3_sitedir}/%{module}/examples/__pycache__
%{py3_sitedir}/%{module}/examples/*.py
%dir %{py3_sitedir}/%{module}/geometry
%{py3_sitedir}/%{module}/geometry/__pycache__
%{py3_sitedir}/%{module}/geometry/*.py
%dir %{py3_sitedir}/%{module}/speedups
%{py3_sitedir}/%{module}/speedups/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/speedups/*.so
%{py3_sitedir}/%{module}/speedups/*.py
%dir %{py3_sitedir}/%{module}/vectorized
%{py3_sitedir}/%{module}/vectorized/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/vectorized/*.so
%{py3_sitedir}/%{module}/vectorized/*.py
%{py3_sitedir}/Shapely-*.egg-info
%endif
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-shapely.git;a=log;h=master

* Thu May 08 2025 Jan Rękorajski <baggins@pld-linux.org> 53a9215
- rel 7, disabled python3 here

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b6a612f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6f75f8a
- python 3.13 rebuild

* Thu Sep 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 3729bf8
- cleanups

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 68bae9a
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f22fef9
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 56dfe27
- rebuild with separate debuginfo build-ids

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 2f915a9
- up to 1.7.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 08df697
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Nov 04 2018 Jan Rękorajski <baggins@pld-linux.org> 4ce623c
- up to 1.6.4
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5fc2693
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d0b95da
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 28b5534
- automatic change: use py_build/py_install macros

* Thu May 08 2014 Mateusz Korniak <matkor@pld-linux.org> d99688d
- Version 1.3.1-1.

* Mon Apr 27 2009 Jacek Konieczny <jajcus@pld-linux.org> 2367cc9
- package ctypes_declarations.py file too

* Mon Apr 27 2009 Jacek Konieczny <jajcus@pld-linux.org> 5a51e57
- new spec

